---
- name: debug syntax 1
  debug:
    msg: 
    - "some msg..."

- name: debug syntax 2
  debug:
    msg: "some msg {{ ansible_host }}"

- debug: msg="syntax 3"

- name: debug vars
  debug:
    msg: "hello"
  vars:
    body_format: "json"
    method: "PUT"
    status_code: "200,201"
    validate_certs: False
    force_basic_auth: True

- name: real debug vars
  debug:
    msg: "real debug: {{ item }}"
  loop:
     - "testuser1"
     - "testuser2"

- name: Using dict2items
  ansible.builtin.debug:
#    msg: "{{ item.key }} - {{ item.value }}"
#  loop: "{{ tag_data | dict2items }}"
  loop: "{{ vars | dict2items }}"
  vars:
    tag_data:
      Environment: dev
      Application: payment
#      url: "https://{{ base.elasticsearch.searchnode.address }}:{{ base.elasticsearch.searchnode.port }}/{{ gateway_elasticsearch.role }}/{{ roles_structure.names[ role.create ] }}"
#      user: "{{ base.elasticsearch.user }}"
#      password: "{{ elastic_user_password }}"
#      body: "{{ role_struct }}"
      body_format: "json"
      method: "PUT"
      status_code: "200,201"
      validate_certs: False
      force_basic_auth: True


#- name: Using dict2items
#  ansible.builtin.debug:
#    msg: "{{ item }}"
#  loop: "{{ body_format }}"
#  vars:
#    body_format: "json"
#    tag_data:
#      Environment: dev
#      Application: payment
